/************************************************************************
 *									*
 * bmp.h								*
 *									*
 * Windows 3 BMP format header file					*
 *									*
 * Version 3.00 (02-Feb-1995)                                           *
 *                                                                      *
 * Palette entries follow header structure, format 0x00RRGGBB		*
 *                                                                      *
 ************************************************************************/



typedef struct
{
        BYTE	id[2];			/* 2 bytes ID 'BM'                 */
        DWORD	file_size;		/* file size                       */
        WORD	resurved1;              /* resurved                        */
	WORD	resurved2;              /* resurved                        */
        DWORD	bitmap_offset;          /* offset to bitmap data           */
        DWORD	subheader_size;         /* sub header size                 */

        DWORD	width;                  /* width in pixels                 */
        DWORD	height;                 /* height in pixels                */
        WORD	bit_planes;             /* bit planes (1)                  */
        WORD	bits_per_pixel;         /* bits per pixel                  */
        DWORD	compression;            /* compression scheme (0)          */
        DWORD	bitmap_size;            /* size of bitmap data             */
        DWORD	X_pix_per_meter;        /* X pixels per meter              */
        DWORD	Y_pix_per_meter;        /* Y pixels per meter              */
        DWORD	palette_entries;        /* palette entries or 0 for >8 bpp */
        DWORD	colours;                /* mumber of colours               */
} bmp_hdr_str;

typedef struct
{
        WORD	width;                  /* width in pixels                 */
        WORD	height;                 /* height in pixels                */
        WORD	bit_planes;             /* bit planes (1)                  */
        WORD	bits_per_pixel;         /* bits per pixel                  */
} bmp_shdr2_str;


int bmp_whdr_descr[]   = { 1,1, 4, 2,2, 4,4, 4,4, 2,2, 4, 4, 4,4, 4,4, -1 };
int bmp_rhdr_descr[]   = { 1,1, 4, 2,2, 4,4, -1};
int bmp_shdr1_descr[] = { 4,4, 2,2, 4, 4, 4,4, 4,4, -1 };
int bmp_shdr2_descr[] = { 2,2, 2,2, -1 };

